using Application.Abstractions.Messaging;
using Application.Abstractions.Identity;

namespace Application.Features.Director.Role.Permissions.Update
{
    public sealed class Handler(IIdentityRoleWriter roleWriter) : ICommandHandler<Command>
    {
        public async Task Handle(Command request, CancellationToken ct)
        {
            await roleWriter.UpdateRoleAsync(request.RoleID, request.Permissions, ct);
        }
    }
}